unit frmKvalifikace_u;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmKvalifikace = class(TForm)
    btnZavrit: TButton;
    lblNadpis: TLabel;
    pnlPodklad: TPanel;
    rdgPracovnici: TRadioGroup;
    grbStroje: TGroupBox;
    chbSoustruh: TCheckBox;
    chbHorizontka: TCheckBox;
    chbVrtacka: TCheckBox;
    chbHoblovka: TCheckBox;
    chbBruska: TCheckBox;
    chbLaser1: TCheckBox;
    chbLaser2: TCheckBox;
    chbTrumatic: TCheckBox;
    chbV_nuzky: TCheckBox;
    chbM_nuzky: TCheckBox;
    btnPotvrdit: TButton;
    btnVratit: TButton;
    btnUlozit: TButton;
    btnPrehled: TButton;
    procedure btnZavritClick(Sender: TObject);
    procedure rdgPracovniciClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmKvalifikace: TfrmKvalifikace;

implementation

{$R *.dfm}

type
  kompetence = ARRAY[0..20,0..20] of tCheckBoxState;

var
  CanWork : kompetence;
  f       : file of kompetence;

procedure TfrmKvalifikace.btnZavritClick(Sender: TObject);
begin
  close;
end;

procedure TfrmKvalifikace.FormCreate(Sender: TObject);
var
  i,j: smallInt;
  MaxStroj, MaxPrac : smallInt;

begin
  assignfile(f,'kvalifikace.hid');
  {$i-}
  reset(f);
  {$i+}
  if IOResult <> 0 then
  begin
    //soubor neexistuje
    ShowMessage('Soubor s kompetencemi neexistuje');
    MaxPrac := frmKvalifikace.rdgPracovnici.ControlCount;
    MaxStroj := frmKvalifikace.grbStroje.ControlCount;
    for I := 0 to MaxPrac - 1 do
      for j := 0 to MaxStroj - 1 do
        CanWork[i,j] := cbUnchecked;
  end
  else
  begin
    //soubor existuje
    read(f,CanWork);
    closefile(f);
  end;
end;

procedure TfrmKvalifikace.rdgPracovniciClick(Sender: TObject);
begin
  frmKvalifikace.grbStroje.Enabled    := true;
  frmKvalifikace.btnPotvrdit.Enabled  := true;
  frmKvalifikace.btnVratit.Enabled    := true;
  frmKvalifikace.btnUlozit.Enabled    := false;

end;

end.
